#!/bin/bash

installCrontab()
{
    if [[ "$CFG_REQUIREMENT_CRONTAB" == "true" ]]; then
        if [[ "$CRONTAB_SETUP" == "false" ]]; then
            isHeader "Crontab Install"

            # Check to see if already installed
            ISCRON=$( (sudo -u $sudo_user_name crontab -l) 2>&1 )
            if [[ "$ISCRON" == *"command not found"* ]]; then
                isNotice "Crontab is not installed, setting up now."
                local result=$(sudo apt update)
                checkSuccess "Updating apt for post installation"
                local result=$(sudo apt install cron -y)
                isSuccessful "Installing crontab application"
                local result=$(sudo -u $sudo_user_name crontab -l)
                isSuccessful "Enabling crontab on the system"
            fi

            isSuccessful "Crontab has been setup on the system"
            #installCrontabSSHScan;
        fi
    fi
}
